httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sander Temme <scte...@apache.org>
Subject Re: [users@httpd] "WARNING: APR not found" error (but I compiled with '--with-apr')
Date Thu, 21 Dec 2006 15:27:48 GMT

On Dec 21, 2006, at 4:57 AM, thomas Armstrong wrote:

> I compiled from sources Apache 2.0.59 with APR 0.9.13
> ./configure --prefix=/usr/local/httpd --enable-so --enable-modules=all
> --with-apr=/usr/local/apr-httpd/bin/apr-config
> --with-apr-util=/usr/local/apr-util-httpd/bin/apu-config
>
> It works ok aparently, but I'm now trying to compile subversion 1.4.2:
> []# ./configure --with-apxs=/usr/local/httpd/bin/apxs

You need to also pass --with-apr and --with-apr-util to Subversion,  
and point them to your APR installation.  There's more to Subversion  
than the Apache module.  The module will get built with the help of  
apxs, but the build system for the other programs needs itself access  
to APR.  And if that cannot be found  in a standard location, you'll  
error out and have to explicitly point to it.

S.

-- 
sctemme@apache.org            http://www.temme.net/sander/
PGP FP: 51B4 8727 466A 0BC3 69F4  B7B8 B2BE BC40 1529 24AF



Mime
View raw message